<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classevent__generator.html">event_generator</a></li><li class="navelem"><a class="el" href="classevent__generator_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classevent__generator_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a5d5bf957b7c558b6009333cc28afe49c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d5bf957b7c558b6009333cc28afe49c"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a5d5bf957b7c558b6009333cc28afe49c">PROCESS_58</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad72a4d4f7a3d2d73970e307ace05cb29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad72a4d4f7a3d2d73970e307ace05cb29"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ad72a4d4f7a3d2d73970e307ace05cb29">PROCESS_59</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_PCIclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">PCIe_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad2d626eb1951e63646257e767e85af92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2d626eb1951e63646257e767e85af92"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ad2d626eb1951e63646257e767e85af92">PROCESS_60</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7549be808c813341510bfe0ae81a86bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7549be808c813341510bfe0ae81a86bf"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a7549be808c813341510bfe0ae81a86bf">PROCESS_61</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a51721805a6f1aa9630764babb455101b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51721805a6f1aa9630764babb455101b"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a51721805a6f1aa9630764babb455101b">PROCESS_62</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_PCIclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">PCIe_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5e1099d938974192a23929d60e066206"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e1099d938974192a23929d60e066206"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a5e1099d938974192a23929d60e066206">PROCESS_63</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a43ff3f3a1c892a74251a587e25b33df5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43ff3f3a1c892a74251a587e25b33df5"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a43ff3f3a1c892a74251a587e25b33df5">PROCESS_64</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">pseudo_reset</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6a5672ef3cb49c8e61d9a2095500a9df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a5672ef3cb49c8e61d9a2095500a9df"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a6a5672ef3cb49c8e61d9a2095500a9df">PROCESS_65</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a728e428f95588c97fe9a101696ec7f6d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a728e428f95588c97fe9a101696ec7f6d"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a728e428f95588c97fe9a101696ec7f6d">PROCESS_66</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">evt_run</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af0e5dc69fff1d74dc6c94797e0864b56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0e5dc69fff1d74dc6c94797e0864b56"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#af0e5dc69fff1d74dc6c94797e0864b56">PROCESS_67</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:acfd5960d3ecab7d368cc108245fd3a19"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acfd5960d3ecab7d368cc108245fd3a19"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#acfd5960d3ecab7d368cc108245fd3a19">PROCESS_68</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ab52d6984f952af4e03ee6ea18a53fbc6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab52d6984f952af4e03ee6ea18a53fbc6"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ab52d6984f952af4e03ee6ea18a53fbc6">PROCESS_69</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">trigger</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a8b7f434ae626cee0de70f364cdc2f3fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b7f434ae626cee0de70f364cdc2f3fd"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a8b7f434ae626cee0de70f364cdc2f3fd">PROCESS_70</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a981283fe81d2cef046b7796763faefa5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a981283fe81d2cef046b7796763faefa5"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a981283fe81d2cef046b7796763faefa5">PROCESS_71</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6f8d763da40d746781078987c790e7e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f8d763da40d746781078987c790e7e4"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a6f8d763da40d746781078987c790e7e4">PROCESS_178</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a6669c26867f648052907761206b3f121"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6669c26867f648052907761206b3f121"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a6669c26867f648052907761206b3f121">PROCESS_179</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_PCIclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">PCIe_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a126f3f720504481ea92f13b9c3fdfe09"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a126f3f720504481ea92f13b9c3fdfe09"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a126f3f720504481ea92f13b9c3fdfe09">PROCESS_180</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a36ab9884636320e5279449fd0dadd166"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a36ab9884636320e5279449fd0dadd166"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a36ab9884636320e5279449fd0dadd166">PROCESS_181</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a4e2e49a1e24dd04adef3fae37a7abb9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e2e49a1e24dd04adef3fae37a7abb9e"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a4e2e49a1e24dd04adef3fae37a7abb9e">PROCESS_182</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_PCIclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">PCIe_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5de8e34dfc8f7f59b8c23da03158e6c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5de8e34dfc8f7f59b8c23da03158e6c2"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a5de8e34dfc8f7f59b8c23da03158e6c2">PROCESS_183</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af12c63822b064e6c0f6c0294d8fb520e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af12c63822b064e6c0f6c0294d8fb520e"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#af12c63822b064e6c0f6c0294d8fb520e">PROCESS_184</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">pseudo_reset</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:acc8e47c6de711367d87e284cdd7241c5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc8e47c6de711367d87e284cdd7241c5"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#acc8e47c6de711367d87e284cdd7241c5">PROCESS_185</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0590282d76080ff137c1338d9eb1ebd0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0590282d76080ff137c1338d9eb1ebd0"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a0590282d76080ff137c1338d9eb1ebd0">PROCESS_186</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">evt_run</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a8de1368b2ba2e4dfb33183efe1541915"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8de1368b2ba2e4dfb33183efe1541915"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a8de1368b2ba2e4dfb33183efe1541915">PROCESS_187</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a29036953bba3274e42891fbfed7b5fd8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29036953bba3274e42891fbfed7b5fd8"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a29036953bba3274e42891fbfed7b5fd8">PROCESS_188</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:afa843552f9a41710c301c5ab20adcc01"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa843552f9a41710c301c5ab20adcc01"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#afa843552f9a41710c301c5ab20adcc01">PROCESS_189</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">trigger</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af4d57e29ce0666329bb596ecf981ea8b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af4d57e29ce0666329bb596ecf981ea8b"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#af4d57e29ce0666329bb596ecf981ea8b">PROCESS_190</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad1de924b66033d121f9ee1272c935876"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad1de924b66033d121f9ee1272c935876"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ad1de924b66033d121f9ee1272c935876">PROCESS_191</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">Rst_Evtclk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">evt_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a6f56843a28932dee6e9f26389900036a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f56843a28932dee6e9f26389900036a"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a6f56843a28932dee6e9f26389900036a">resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt; </a></em></td></tr>
<tr class="memitem:aee62c207251c5744e0cb572b7981bcaa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee62c207251c5744e0cb572b7981bcaa"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#aee62c207251c5744e0cb572b7981bcaa">trigger_gen</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classtrigger__gen.html">&lt;Entity trigger_gen&gt; </a></em></td></tr>
<tr class="memitem:a83c12ab96c8884d0e3f17d122484a507"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83c12ab96c8884d0e3f17d122484a507"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a83c12ab96c8884d0e3f17d122484a507">CRC_generator</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  </td></tr>
<tr class="memitem:aefa9ea832bb436e6717f8e76310862c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aefa9ea832bb436e6717f8e76310862c7"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#aefa9ea832bb436e6717f8e76310862c7">memory_rnd</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classmemory__rnd.html">&lt;Entity memory_rnd&gt; </a></em></td></tr>
<tr class="memitem:a461a43f379b78f42e30b2fd671bfc98c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a461a43f379b78f42e30b2fd671bfc98c"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a461a43f379b78f42e30b2fd671bfc98c">generate_3</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classgenerate__3.html">&lt;Entity generate_3&gt; </a></em></td></tr>
<tr class="memitem:a54d9bbd467bf2f94ffa374022fe88f7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54d9bbd467bf2f94ffa374022fe88f7b"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a54d9bbd467bf2f94ffa374022fe88f7b">reset_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a4e8ed3bfb57f12a7d1f7911dcfa3998c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4e8ed3bfb57f12a7d1f7911dcfa3998c"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a4e8ed3bfb57f12a7d1f7911dcfa3998c">rnd_dt_O</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a59a5e864f03aa8acf93f00501c3cb9bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59a5e864f03aa8acf93f00501c3cb9bd"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a59a5e864f03aa8acf93f00501c3cb9bd">rnd_dt_L</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9d664b69e39efa4659ed3a53e8bf67ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d664b69e39efa4659ed3a53e8bf67ab"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a9d664b69e39efa4659ed3a53e8bf67ab">ena_rnd_dt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aedd96565282d5785fb589b75edb447f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aedd96565282d5785fb589b75edb447f2"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#aedd96565282d5785fb589b75edb447f2">LFF_D</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab153c73bcf884448571dbd8c60a2fdd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab153c73bcf884448571dbd8c60a2fdd1"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ab153c73bcf884448571dbd8c60a2fdd1">BX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a135f7d346bd0c1236b8471f06eb1d2aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a135f7d346bd0c1236b8471f06eb1d2aa"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a135f7d346bd0c1236b8471f06eb1d2aa">SOURCE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">11</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a914929faeeb875179018fc067add3c27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a914929faeeb875179018fc067add3c27"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a914929faeeb875179018fc067add3c27">evt_lenght</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">23</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4f80376bcb194fd24e23e803e9597795"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f80376bcb194fd24e23e803e9597795"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a4f80376bcb194fd24e23e803e9597795">crc_error</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab250a351edf97001000826501ee755c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab250a351edf97001000826501ee755c1"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ab250a351edf97001000826501ee755c1">bit_error</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7929711058ac08b075182436d452012e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7929711058ac08b075182436d452012e"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a7929711058ac08b075182436d452012e">hd_error</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a583dfcd90999a8059cf1ac2c0cb216c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a583dfcd90999a8059cf1ac2c0cb216c7"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a583dfcd90999a8059cf1ac2c0cb216c7">tr_error</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2b8f2e3e4517eb21158f0d4a34b14d70"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b8f2e3e4517eb21158f0d4a34b14d70"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a2b8f2e3e4517eb21158f0d4a34b14d70">HD_ena</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3ccea5fa57aeb638b3d8e03f11ff8795"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3ccea5fa57aeb638b3d8e03f11ff8795"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a3ccea5fa57aeb638b3d8e03f11ff8795">TR_ena</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a32e8a69b5d7f849138a268fb5d85b44b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32e8a69b5d7f849138a268fb5d85b44b"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a32e8a69b5d7f849138a268fb5d85b44b">PL_ena</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8181512babba624b0c008bf8f5fd418f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8181512babba624b0c008bf8f5fd418f"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a8181512babba624b0c008bf8f5fd418f">HD_dt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a865ca803dbd552bb046090afabb8d0f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a865ca803dbd552bb046090afabb8d0f9"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a865ca803dbd552bb046090afabb8d0f9">TR_dt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a13ebf56da88c6b42624097e1e515cbc7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13ebf56da88c6b42624097e1e515cbc7"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a13ebf56da88c6b42624097e1e515cbc7">PL_dt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a26c69515f6d1db0fc684ee705a57b238"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26c69515f6d1db0fc684ee705a57b238"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a26c69515f6d1db0fc684ee705a57b238">evt_run</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63d8e8390c7f3916b32e46f3df16d7c1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63d8e8390c7f3916b32e46f3df16d7c1"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a63d8e8390c7f3916b32e46f3df16d7c1">pre_TR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac0b8be0dd724f11ae5e6e60cc3c0b0f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0b8be0dd724f11ae5e6e60cc3c0b0f2"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ac0b8be0dd724f11ae5e6e60cc3c0b0f2">WC_size</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">20</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a76f275192005b05b43593bd36c135f47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a76f275192005b05b43593bd36c135f47"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a76f275192005b05b43593bd36c135f47">end_WC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad90965df668c7902cec62a9c19dfe40f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad90965df668c7902cec62a9c19dfe40f"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ad90965df668c7902cec62a9c19dfe40f">run_mode</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa524e75457574ce78a2cae66f650367c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa524e75457574ce78a2cae66f650367c"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#aa524e75457574ce78a2cae66f650367c">ena_PCIe</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2848df9dd544e09a8851409a77059d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2848df9dd544e09a8851409a77059d8"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ae2848df9dd544e09a8851409a77059d8">trig_nb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">23</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a078e53ada7181207e969c251db146231"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a078e53ada7181207e969c251db146231"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a078e53ada7181207e969c251db146231">trigger</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aafa79e8236a03aa0da88b14a3de5a2fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aafa79e8236a03aa0da88b14a3de5a2fb"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#aafa79e8236a03aa0da88b14a3de5a2fb">end_evt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a51f1306f2f06f58111f90183baedb442"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51f1306f2f06f58111f90183baedb442"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a51f1306f2f06f58111f90183baedb442">soft_rst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afe6624a2ab36422880d5bd8b938638cc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe6624a2ab36422880d5bd8b938638cc"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#afe6624a2ab36422880d5bd8b938638cc">wc_rnd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adf8be224847883e614c705a0f739c37e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf8be224847883e614c705a0f739c37e"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#adf8be224847883e614c705a0f739c37e">trigger_rnd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeb8e950d0797abfc59d11e814c3b0aa6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeb8e950d0797abfc59d11e814c3b0aa6"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#aeb8e950d0797abfc59d11e814c3b0aa6">pseudo_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7f12d195ffd88a26099f0140b9313244"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f12d195ffd88a26099f0140b9313244"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a7f12d195ffd88a26099f0140b9313244">CRC_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a52f9a36e00324e0b2ec67a3846765b4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52f9a36e00324e0b2ec67a3846765b4f"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a52f9a36e00324e0b2ec67a3846765b4f">CRC_val</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac2329fa18458699ee7ccdc94845f7789"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac2329fa18458699ee7ccdc94845f7789"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ac2329fa18458699ee7ccdc94845f7789">CRC_cmp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a90af2b257b3e9ed2e7c2d0ad23d8f56e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90af2b257b3e9ed2e7c2d0ad23d8f56e"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a90af2b257b3e9ed2e7c2d0ad23d8f56e">CRC_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2070f63b5e136eeb55c93dcb1ffb0545"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2070f63b5e136eeb55c93dcb1ffb0545"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a2070f63b5e136eeb55c93dcb1ffb0545">wen_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aad27618439988a51952959d20186793f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aad27618439988a51952959d20186793f"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#aad27618439988a51952959d20186793f">data_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af76fbd6cc3f37ecaacea4b6026dfb809"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af76fbd6cc3f37ecaacea4b6026dfb809"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#af76fbd6cc3f37ecaacea4b6026dfb809">uctrl_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a37f83afbaef1ad7a4815671d118da876"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37f83afbaef1ad7a4815671d118da876"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a37f83afbaef1ad7a4815671d118da876">PCIe_dto_trg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4cab3faa15da7539f2375c4cc31af7bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cab3faa15da7539f2375c4cc31af7bc"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a4cab3faa15da7539f2375c4cc31af7bc">PCIe_dto_local</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa70adc5a36828f4fb8b13fbc8c632a6e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa70adc5a36828f4fb8b13fbc8c632a6e"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#aa70adc5a36828f4fb8b13fbc8c632a6e">Byte_rnd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1900a41dc04e0730a579867d09e0d5ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1900a41dc04e0730a579867d09e0d5ea"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a1900a41dc04e0730a579867d09e0d5ea">Rst_PCIclk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae60a79ab7222b7d14cdbd2a85852e2ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae60a79ab7222b7d14cdbd2a85852e2ae"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#ae60a79ab7222b7d14cdbd2a85852e2ae">Rst_Evtclk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a50c57a9955fd187a0176362dcfcbfe0a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50c57a9955fd187a0176362dcfcbfe0a"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a50c57a9955fd187a0176362dcfcbfe0a">Rst_lowclk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a87b6e2ef8034104c15a81c17f298245f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87b6e2ef8034104c15a81c17f298245f"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a87b6e2ef8034104c15a81c17f298245f">rst_pci_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:a5c6b7fef53ea5652d0a95fc4f2e478c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c6b7fef53ea5652d0a95fc4f2e478c2"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a5c6b7fef53ea5652d0a95fc4f2e478c2">rst_evt_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:a83049235ea6f7d9f54eb8a71b4311283"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83049235ea6f7d9f54eb8a71b4311283"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a83049235ea6f7d9f54eb8a71b4311283">rst_low_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:abc662ad7939244d9dc80a99f233212bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc662ad7939244d9dc80a99f233212bf"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#abc662ad7939244d9dc80a99f233212bf">i3</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>generate_3</b>  <em><a class="el" href="classgenerate__3.html">&lt;Entity generate_3&gt;</a></em></td></tr>
<tr class="memitem:a0aa5871f8e5746d3d8a40fe4f50c80dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0aa5871f8e5746d3d8a40fe4f50c80dd"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a0aa5871f8e5746d3d8a40fe4f50c80dd">crc_err_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:adb49031a7685db080cdc52a741687113"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb49031a7685db080cdc52a741687113"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#adb49031a7685db080cdc52a741687113">bit_err_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:a3a06efbc40139c072714c9b0082eac6d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a06efbc40139c072714c9b0082eac6d"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a3a06efbc40139c072714c9b0082eac6d">hd_err_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:adbde0a23a5f3af848eb84d965f1aed06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbde0a23a5f3af848eb84d965f1aed06"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#adbde0a23a5f3af848eb84d965f1aed06">tr_err_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:a63e50f5c7168e217b34db20e76a7a70a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63e50f5c7168e217b34db20e76a7a70a"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a63e50f5c7168e217b34db20e76a7a70a">trig</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>trigger_gen</b>  <em><a class="el" href="classtrigger__gen.html">&lt;Entity trigger_gen&gt;</a></em></td></tr>
<tr class="memitem:a665182d6d61d633dfc6eedb97cca0578"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a665182d6d61d633dfc6eedb97cca0578"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a665182d6d61d633dfc6eedb97cca0578">rnd_mem_trig</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>memory_rnd</b>  <em><a class="el" href="classmemory__rnd.html">&lt;Entity memory_rnd&gt;</a></em></td></tr>
<tr class="memitem:a87b6e2ef8034104c15a81c17f298245f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87b6e2ef8034104c15a81c17f298245f"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a87b6e2ef8034104c15a81c17f298245f">rst_pci_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:a5c6b7fef53ea5652d0a95fc4f2e478c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c6b7fef53ea5652d0a95fc4f2e478c2"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a5c6b7fef53ea5652d0a95fc4f2e478c2">rst_evt_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:a83049235ea6f7d9f54eb8a71b4311283"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83049235ea6f7d9f54eb8a71b4311283"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a83049235ea6f7d9f54eb8a71b4311283">rst_low_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:abc662ad7939244d9dc80a99f233212bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc662ad7939244d9dc80a99f233212bf"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#abc662ad7939244d9dc80a99f233212bf">i3</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>generate_3</b>  <em><a class="el" href="classgenerate__3.html">&lt;Entity generate_3&gt;</a></em></td></tr>
<tr class="memitem:a0aa5871f8e5746d3d8a40fe4f50c80dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0aa5871f8e5746d3d8a40fe4f50c80dd"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a0aa5871f8e5746d3d8a40fe4f50c80dd">crc_err_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:adb49031a7685db080cdc52a741687113"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb49031a7685db080cdc52a741687113"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#adb49031a7685db080cdc52a741687113">bit_err_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:a3a06efbc40139c072714c9b0082eac6d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a06efbc40139c072714c9b0082eac6d"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a3a06efbc40139c072714c9b0082eac6d">hd_err_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:adbde0a23a5f3af848eb84d965f1aed06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbde0a23a5f3af848eb84d965f1aed06"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#adbde0a23a5f3af848eb84d965f1aed06">tr_err_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>resync</b>  <em><a class="el" href="classresync.html">&lt;Entity resync&gt;</a></em></td></tr>
<tr class="memitem:a63e50f5c7168e217b34db20e76a7a70a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63e50f5c7168e217b34db20e76a7a70a"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a63e50f5c7168e217b34db20e76a7a70a">trig</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>trigger_gen</b>  <em><a class="el" href="classtrigger__gen.html">&lt;Entity trigger_gen&gt;</a></em></td></tr>
<tr class="memitem:a665182d6d61d633dfc6eedb97cca0578"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a665182d6d61d633dfc6eedb97cca0578"></a>
<a class="el" href="classevent__generator_1_1behavioral.html#a665182d6d61d633dfc6eedb97cca0578">rnd_mem_trig</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>memory_rnd</b>  <em><a class="el" href="classmemory__rnd.html">&lt;Entity memory_rnd&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2event__generator_8vhd_source.html#l00059">59</a> of file <a class="el" href="10Gb_2slink_2event__generator_8vhd_source.html">event_generator.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2event__generator_8vhd_source.html">event_generator.vhd</a></li>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/5Gb/slink/<a class="el" href="5Gb_2slink_2event__generator_8vhd_source.html">event_generator.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
